Skip to main content
GET
Get a single execution task

Authorizations

Authorization
string
header
required

A Phrase Platform JWT issued for Orchestrator, sent as Authorization: Bearer <JWT>. See Authentication and access for how to obtain one.

Path Parameters

execution_id
integer
required

ID of the execution. Executions created by an older engine version are not addressable.

Example:

91

id
integer
required

ID of the execution task.

Example:

512

Response

OK

A single execution task.

id
integer
required

Unique identifier of the execution task.

Example:

512

name
string
required

Name of the execution task.

Example:

"Send HTTP Request"

started_at
string<date-time>
required

When the execution task started.

Example:

"2026-01-15T09:12:03.123456Z"

state
enum<string>
required

Current state of the execution task: completed (finished successfully), executing (running, or paused in a Sleep step), waiting (a Wait for trigger step waiting for its event), retryable (failed and will be retried), skipped (its condition was false, or it had nothing to do), cancelled (failed, and its downstream tasks don't run) or discarded (raised an error or crashed). available and scheduled aren't used.

Available options:
available,
cancelled,
completed,
discarded,
executing,
retryable,
scheduled,
skipped,
waiting
Example:

"completed"

child_task_count
integer | null

Number of child execution tasks this execution task spawned, 0 if it spawned none.

Example:

0

finished_at
string<date-time> | null

When the execution task finished, or null while it is still running.

Example:

"2026-01-15T09:12:04.654321Z"

parent_id
integer | null

ID of the parent execution task, or null for a top-level execution task.

Example:

511

retries
integer | null

Number of times the execution task has been retried, or null before its first retry.

Example:

0

url
string<uri>

Direct link to the entity in the Orchestrator UI.

Example:

"https://eu.phrase.com/orchestrator/manage/workflows/8/workflow_executions/91/tasks/512"